- Home
- API Enriched
- Shape
- shape
- GET JS Injection Configuration.
GET JS Injection Configuration.
GET
/api/shape/csd/namespaces/{namespace}/js_configuration
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/js_configuration';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/js_configuration \ --header 'Authorization: <Authorization>'GET JS Injection Configuration for this tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
Query Parameters
Section titled “Query Parameters”name
string
Format we want the script to be returned in.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetJsInjectionConfigurationResponse
Response to a GET injection script request.
object
scriptTag
Script Tag
Javascript tag injected to URL pathes that user configures.
string
Examplegenerated
{ "scriptTag": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example